# Uses of Enum Class
org.apache.lucene.search.BooleanClause.Occur

Packages that use BooleanClause.Occur
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

## Uses of BooleanClause.Occur in org.apache.lucene.search

Methods in org.apache.lucene.search that return BooleanClause.Occur
Modifier and Type
Method
Description
`BooleanClause.Occur`
BooleanClause.`occur()`
Returns the value of the `occur` record component.
`static BooleanClause.Occur`
BooleanClause.Occur.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BooleanClause.Occur[]`
BooleanClause.Occur.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.lucene.search with parameters of type BooleanClause.Occur
Modifier and Type
Method
Description
`BooleanQuery.Builder`
BooleanQuery.Builder.`add(Query query, BooleanClause.Occur occur)`
Add a new clause to this `BooleanQuery.Builder`.
`QueryVisitor`
QueryVisitor.`getSubVisitor(BooleanClause.Occur occur, Query parent)`
Pulls a visitor instance for visiting child clauses of a query
Constructors in org.apache.lucene.search with parameters of type BooleanClause.Occur
Modifier
Constructor
Description
``
`BooleanClause(Query query, BooleanClause.Occur occur)`
Constructs a BooleanClause.

## Uses of BooleanClause.Occur in org.apache.lucene.util

Methods in org.apache.lucene.util with parameters of type BooleanClause.Occur
Modifier and Type
Method
Description
`protected void`
QueryBuilder.`add(String field, BooleanQuery.Builder q, List<QueryBuilder.TermAndBoost> current, BooleanClause.Occur operator)`
`protected Query`
QueryBuilder.`analyzeGraphBoolean(String field, TokenStream source, BooleanClause.Occur operator)`
Creates a boolean query from a graph token stream.
`protected Query`
QueryBuilder.`analyzeMultiBoolean(String field, TokenStream stream, BooleanClause.Occur operator)`
Creates complex boolean query from the cached tokenstream contents
`Query`
QueryBuilder.`createBooleanQuery(String field, String queryText, BooleanClause.Occur operator)`
Creates a boolean query from the query text.
`protected Query`
QueryBuilder.`createFieldQuery(Analyzer analyzer, BooleanClause.Occur operator, String field, String queryText, boolean quoted, int phraseSlop)`
Creates a query from the analysis chain.
`protected Query`
QueryBuilder.`createFieldQuery(TokenStream source, BooleanClause.Occur operator, String field, boolean quoted, int phraseSlop)`
Creates a query from a token stream.